FROM docker.io/hugomods/hugo:exts AS build

# Copy the repo content to /site
WORKDIR /site

COPY package.json package-lock.json ./

# Run npm install to build the dependencies
RUN npm ci

COPY . .

# Run Hugo to build the static files
# RUN hugo --gc
RUN hugo build --gc

FROM php:8.2-cli

COPY --from=build /site/public/deelnemers /src/deelnemers

RUN apt-get update && apt-get install -y \
    zlib1g-dev \
    libzip-dev \
    unzip

COPY ./easyrdf /usr/src/myapp
WORKDIR /usr/src/myapp

RUN curl -s https://getcomposer.org/installer | php -- --install-dir=/usr/local/bin --filename=composer
RUN composer install

CMD php ./convert.php
